<#if frBic??>
${I18NHelper('app.header.sendBic')}:${frBic}
</#if>
<#if toBic??>
${I18NHelper('app.header.receiverBic')}:${toBic}
</#if>
<#if messageType??>
${I18NHelper('app.header.msgDefId')}:${messageType}
</#if>
<#if bizSvc??>
${I18NHelper('app.header.bizSvc')}:${bizSvc}
</#if>
<#if creDt??>
${I18NHelper('app.header.creDt')}:${creDt}
</#if>
<#if bizMsgIdr??>
${I18NHelper('message.id')}:${bizMsgIdr}
</#if>

<#if acctIdIban??>
${I18NHelper('statement.account')}:${acctIdIban}
</#if>
<#if acctId??>
${I18NHelper('statement.account')}:${acctId}
</#if>
<#if acctCcy??>
${I18NHelper('statement.account.ccy')}:${acctCcy}
</#if>
<#if lglSeqNb??>
${I18NHelper('statement.sequence.number')}:${lglSeqNb}
</#if>
<#if pgNb??>
${I18NHelper('statement.page.number')}:${pgNb}
</#if>
<#if lastPgInd??>
${I18NHelper('statement.lastPgInd')}:${lastPgInd}
</#if>

<#if opbdBalCdtDbtInd??>
<#if opbdBalCdtDbtInd='CRDT'>
${I18NHelper('statement.openingBooked.crdr')}:${I18NHelper('credit')}
<#else>
${I18NHelper('statement.openingBooked.crdr')}:${I18NHelper('debit')}
</#if>
</#if>
<#if opbdBalDt??>
${I18NHelper('statement.openingBooked.date')}:${opbdBalDt}
</#if>
<#if opbdBalCcy??>
${I18NHelper('statement.openingBooked.ccy')}:${opbdBalCcy}
</#if>
<#if opbdBalAmt??>
${I18NHelper('statement.openingBooked.amt')}:${opbdBalAmt}
</#if>

<#if ntry??>
<#assign reversalIndicator = false>
<#assign creditDebitIndicator = ''>
<#assign x = 0>
<#list ntry as map>
<#assign x++>
<#list map?keys as keystr>
<#if keystr='ntryRvslInd'&&map[keystr]??>
<#assign reversalIndicator = map[keystr]>
</#if>
<#if keystr='ntryCdtDbtInd'&&map[keystr]??>
<#assign creditDebitIndicator = map[keystr]>
</#if>
</#list>
<#if reversalIndicator>
<#if creditDebitIndicator=='DBIT'>
${I18NHelper('statement.entry.crdr')}(${x}): ${I18NHelper('reversal.credit')}
<#else>
${I18NHelper('statement.entry.crdr')}(${x}): ${I18NHelper('reversal.debit')}
</#if>
<#else>
<#if creditDebitIndicator=='DBIT'>
${I18NHelper('statement.entry.crdr')}(${x}): ${I18NHelper('debit')}
<#else>
${I18NHelper('statement.entry.crdr')}(${x}): ${I18NHelper('credit')}
</#if>
</#if>
<#list map?keys as keystr>
<#if keystr='ntryValDt'&&map[keystr]??>
${I18NHelper('statement.entry.valueDate')}(${x}): ${map[keystr]}
</#if>
<#if keystr='ntryCcy'&&map[keystr]??>
${I18NHelper('statement.entry.ccy')}(${x}): ${map[keystr]}
</#if>
<#if keystr='ntryAmt'&&map[keystr]??>
${I18NHelper('statement.entry.amt')}(${x}): ${map[keystr]?c}
</#if>
<#if creditDebitIndicator=='DBIT'>
<#if keystr='instrId'&&map[keystr]??>
${I18NHelper('statement.entry.txnRef')}(${x}): ${map[keystr]}
</#if>
<#else>
<#if keystr='endToEndId'&&map[keystr]??>
${I18NHelper('statement.entry.txnRef')}(${x}): ${map[keystr]}
</#if>
</#if>
<#if keystr='ntryAcctSvcrRef'&&map[keystr]??>
${I18NHelper('statement.entry.acctSvcrRef')}(${x}): ${map[keystr]}
</#if>
<#if keystr='addtlTxInf'&&map[keystr]??>
${I18NHelper('statement.entry.addtlTxInf')}(${x}): ${map[keystr]}
</#if>
</#list>
</#list>

</#if>
<#if clbdBalCdtDbtInd??>
<#if clbdBalCdtDbtInd='CRDT'>
${I18NHelper('statement.closingBooked.crdr')}:${I18NHelper('credit')}
<#else>
${I18NHelper('statement.closingBooked.crdr')}:${I18NHelper('debit')}
</#if>
</#if>
<#if clbdBalDt??>
${I18NHelper('statement.closingBooked.date')}:${clbdBalDt}
</#if>
<#if clbdBalCcy??>
${I18NHelper('statement.closingBooked.ccy')}:${clbdBalCcy}
</#if>
<#if clbdBalAmt??>
${I18NHelper('statement.closingBooked.amt')}:${clbdBalAmt}
</#if>
