<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8"/>
    <style>

        div.printEm {
            width: 100%;
            font-family: SimHei;
            line-height: 1.5em !important;
            color: black;
        }

        .mtFontSize0 {
            font-size: 12px !important;
        }

        .ejs_view_table {
            width: 100%;
            border-collapse: collapse;
            font-family: SimHei;
        }
        table td {
            border: 1px solid #555;
            word-break: break-all;
            padding: 0.1rem 1rem;
        }
        .ejs_view_head {
            font-size: 1.2em;
            font-weight: bolder;
            background-color: #ddd;
            font-family: SimHei;
        }
        thead,tbody,tr,td,th{
            page-break-inside: avoid !important;
        }
        td p {
            margin-top: 0px;
            margin-bottom: 0px !important;
        }
    </style>
</head>
<body>
<div class="printEm" style="line-height:2em">
    <table class="ejs_view_table">
        <tr class="ejs_view_head">
            <td colspan="2">Message Head Information</td>
        </tr>
        <#list tagDespList as tagDesp>
            <#if tagDesp.tag == '#BODY#'>
                <tr class="ejs_view_head">
                    <td colspan="2">
                        <p style="marginLeft: ${tagDesp.lvl} em;">Message Body</p>
                    </td>
                </tr>
            <#else>
                <tr>
                    <td colspan="1">
                        <p style="marginLeft: ${tagDesp.lvl} em;">${tagDesp.desp}</p>
                    </td>
                    <td>
                        <#if tagDesp.value == '[Object]'>
                            ${formatContent(' ')}
                        <#else>
                            ${formatContent(tagDesp.value)}
                        </#if>
                    </td>
                </tr>
            </#if>
        </#list>
    </table>
</div>
</body>
</html>