<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8"/>
    <style>
        .elc_view_table{
            font-family: SimHei;
            width: 80%;
            table-layout: fixed;
            margin-left: 10%;
            margin-top: 1em;
            font-size: 16px;
            line-height: 1.2em;
            color: black;

        }
        .elc_view_table tr{
            vertical-align: top;
        }
        .elc_view_table td{
            word-break: break-all;
            padding:  0.1rem 1rem;
        }
        td p{
            margin-top: 0px;
            margin-bottom: 0.5px!important;
        }
    </style>
</head>
<body>

<table align="center" width="100%" cellspacing="" class="elc_view_table">
    <thead>
    <tr>
        <#list 1..24 as i>
            <td style="width: 4.16666%"></td>
        </#list>
    </tr>
    </thead>

    <#list tagDespList as tagDesp>
        <tr>
            <td colspan="5">
                <p>${tagDesp.desp}</p>
            </td>
            <td colspan="4"><p>${tagDesp.tag}</p></td>
            <td colspan="15">
                ${formatContent(tagDesp.value)}
            </td>
        </tr>
    </#list>
</table>
</body>
</html>