<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8"/>
    <title>${msgtyp}</title>
    <style>
        body {
            font-family: SimHei;
            font-size: 12px;
            line-height: 16px;
        }

        #footer {
            position: running(footer);
            text-align: right;
        }

        #pagenumber:before {
            content: counter(page);
        }

        #pagecount:before {
            content: counter(pages);
        }

        .mtFontSize {
            font-size: 20px;
        }

        .mtFontSize0 {
            font-size: 20px;
        }

        table p, table h3 {
            margin-top: 0
        }

        table tr {
            vertical-align: top;
        }

        .title {
            font-family: SimHei;
            font-size:  20px !important;
        }
    </style>
</head>
<body>
<div id="footer">
    <span class="mtFontSize0">page <span id="pagenumber"></span> of <span id="pagecount"></span> </span>
</div>
<table align="center" width="100%" cellspacing="">
    <thead>
    <tr>
        <#list 1..24 as i>
            <td style="width: 4.16666%"></td>
        </#list>
    </tr>
    </thead>

    <#list tagDespList as tagDesp>
        <#if tagDesp.tag != '__TITLE'>
            <tr>
                <td colspan="5">
                    <span style="word-break: break-word;" class="mtFontSize0">${tagDesp.desp}</span>
                </td>
                <td colspan="4" style="padding-left:1em" class="mtFontSize0">
                    <#if tagDesp.tag?? && tagDesp.tag != ''>
                        <b>:${tagDesp.tag}:</b>
                    <#else>
                        <b> </b>
                    </#if>
                </td>
                <td colspan="15" class="mtFontSize">
                    <div>
                        <b>${formatContent(tagDesp.value)}</b>
                    </div>
                </td>
            </tr>
        </#if>
    </#list>
</table>
</body>
</html>