<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <title>${item.mtdesp}</title>
    <style>
        body {
            font-family: "Courier New";
            font-size: 12px;
            line-height: 1.5em;
        }
        <#--@page {
            @bottom-right{
                content: element(footer)
            }
            @bottom-left{
                content: 'printed by ${user} on ${date} at ${time}';
                font-family: "Courier New";
                font-size:12px;
            }
        }
        #footer {
            position: running(footer);
            text-align: right;
        }
        #pagenumber:before {
            content: counter(page);
        }
        #pagecount:before {
            content: counter(pages);
        }-->
        .mtFontSize{
            font-size: 12px;
        }
        .mtFontSize0{
            font-size: 12px;
        }
        table p,table h3{
            margin-top:0
        }
        table tr{
            vertical-align:top;
        }
        b p{
            margin-top: 0px;
            margin-bottom: 0.5px!important;
        }
    </style>
</head>
<body>
    <#--<div id="footer" >
        <span class="mtFontSize0" >page <span id="pagenumber"></span> of <span id="pagecount"></span> </span>
    </div>-->

    <table align="center" width="100%" cellspacing="" >
        <thead>
            <tr>
                <#list 1..24 as i>
                    <td style="width: 4.16666%"></td>
                </#list>
            </tr>
        </thead>
        <#if item.sndtime??>
        <tr >
            <td colspan="5" class="mtFontSize0">Sent</td>
            <td colspan="2" style="padding-left:1em" class="mtFontSize0">
                <b>:ID:</b>
            </td>
            <td colspan="17" class="mtFontSize">
                <b >${formatContent(item.sndtime)}</b>
            </td>
        </tr>
        </#if>
        <#if item.rcvtime??>
        <tr >
            <td colspan="5" class="mtFontSize0">Received</td>
            <td colspan="2" style="padding-left:1em" class="mtFontSize0">
                <b>:OD:</b>
            </td>
            <td colspan="17" class="mtFontSize">
                <b>${formatContent(item.rcvtime)}</b>
            </td>
        </tr>
        </#if>
        <#if item.dir== ">">
        <tr>
            <td colspan="5" class="mtFontSize0">Correspondents BIC / TID</td>
            <td colspan="2" style="padding-left:1em" class="mtFontSize0">
                <b>:IO:</b>
            </td>
            <td colspan="17" class="mtFontSize">
                <b>${formatContent(item.rcvbic)}</b>
            </td>
        </tr>
        <#else>
            <tr>
                <td colspan="5" class="mtFontSize0">Own Bic / TID</td>
                <td colspan="2" style="padding-left:1em" class="mtFontSize0">
                    <b>:II:</b>
                </td>
                <td colspan="17" class="mtFontSize">
                    <b>${formatContent(item.rcvbic)}</b>
                </td>
            </tr>
        </#if>
        <#if item.dir== ">">
        <tr>
            <td colspan="5" class="mtFontSize0">Own Bic / TID</td>
            <td colspan="2" style="padding-left:1em" class="mtFontSize0">
                <b>:II:</b>
            </td>
            <td colspan="17" class="mtFontSize">
                <b> ${formatContent(item.sndbic)}</b>
            </td>
        </tr>
        <#else>
            <tr>
                <td colspan="5" class="mtFontSize0">Correspondents BIC / TID</td>
                <td colspan="2" style="padding-left:1em" class="mtFontSize0">
                    <b>:IO:</b>
                </td>
                <td colspan="17" class="mtFontSize">
                    <b> ${formatContent(item.sndbic)}</b>
                </td>
            </tr>
        </#if>
        <tr>
            <td colspan="5" class="mtFontSize0">SWIFT Message Prority</td>
            <td colspan="2" style="padding-left:1em" class="mtFontSize0">
                <b>:MP:</b>
            </td>
            <td colspan="17" class="mtFontSize">
                <b><p>${item.lvl}</p> </b>
            </td>
        </tr>
        <tr>
            <td colspan="5" class="mtFontSize0">SWIFT Message Type</td>
            <td colspan="2" style="padding-left:1em" class="mtFontSize0">
                <b>:MT:</b>
            </td>
            <td colspan="17" class="mtFontSize">
                <b><p>${item.mt} ${item.mtdesp}</p> </b>
            </td>
        </tr>
        <#if item.block3_108??>
            <tr >
                <td colspan="5" class="mtFontSize0">Optional Message User Reference</td>
                <td colspan="2" style="padding-left:1em" class="mtFontSize0">
                    <b>:108:</b>
                </td>
                <td colspan="17" class="mtFontSize">
                    <b>${formatContent(item.block3_108)}</b>
                </td>
            </tr>
        </#if>
        <#if item.block3_111??>
            <tr >
                <td colspan="5" class="mtFontSize0">Service Type Identifier</td>
                <td colspan="2" style="padding-left:1em" class="mtFontSize0">
                    <b>:111:</b>
                </td>
                <td colspan="17" class="mtFontSize">
                    <b>${formatContent(item.block3_111)}</b>
                </td>
            </tr>
        </#if>
        <#if item.block3_121??>
            <tr >
                <td colspan="5" class="mtFontSize0">Unique End-to-End Transaction Reference</td>
                <td colspan="2" style="padding-left:1em" class="mtFontSize0">
                    <b>:121:</b>
                </td>
                <td colspan="17" class="mtFontSize">
                    <b>${formatContent(item.block3_121)}</b>
                </td>
            </tr>
        </#if>
        <#list item.tagDespList as tagDesp>
        <tr>
            <td colspan="5">
                <span style="word-break: break-word;" class="mtFontSize0">${tagDesp.desp}</span>
            </td>
            <td colspan="2" style="padding-left:1em" class="mtFontSize0">
                <b>:${tagDesp.tag}:</b>
            </td>
            <td colspan="17" class="mtFontSize">
                <div>
                    <b>${formatContent(tagDesp.value)}</b>
                </div>
            </td>
        </tr>
        </#list>
        <tr>
            <td colspan="5" class="mtFontSize0">Trailer</td>
            <td colspan="2" style="padding-left:1em" class="mtFontSize0">
                <b>-</b>
            </td>
            <td colspan="17" class="mtFontSize">
    
            </td>
        </tr>
        <#if item.acktxt??>
        <tr>
            <td class="mtFontSize"  colspan="24">
                <b> ${item.acktxt}</b>
            </td>
        </tr>
        </#if>
    </table>
</body>
</html>