package com.brilliance.isc.swift.objmtconvert.annotation;

import java.lang.annotation.*;

/**
 * Created by gechengyang on 2023/2/27
 * 栏位tag的格式,处理中需要转换为正则表达式，对报文栏位进行校验
 */
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface TagRegex {
    String[] value() default "";
}
