package com.brilliance.isc.swift.objmtconvert.model.busvalidator.mt1xx;
import com.brilliance.isc.swift.objmtconvert.model.AbsMTValidator;
import com.brilliance.isc.swift.objmtconvert.result.MtResult;

/**
 * 103 REMIT报文的校验类，校验规则同103报文。<br/>
 * 来源：<a href="https://www2.swift.com/knowledgecentre/publications/us1m_20220722/2.0?topic=mt103remit-network-rules.htm">
 *     MT 103 REMIT Network Validated Rules</a>
 * @author liusheng
 */
public class MT103REMITValidator extends AbsMTValidator {

    public MT103REMITValidator(String mtstr, MtResult mtResult) {super(mtstr, mtResult);}

    @Override
    public void bussinessValidator() {
        //return new MT103Validator(this.getMtStr(),this.mtResult).bussinessValidator();
         validatorOfMT103AndMT103REMIT();
    }
}
