package com.brilliance.isc.swift.objmtconvert.model.busvalidator.mt2xx;


import com.brilliance.isc.swift.objmtconvert.model.AbsMTValidator;
import com.brilliance.isc.swift.objmtconvert.result.MtResult;
import com.brilliance.isc.swift.objmtconvert.util.Constans;
import com.brilliance.isc.swift.objmtconvert.util.Language;
import com.prowidesoftware.swift.model.field.Field19;
import com.prowidesoftware.swift.model.field.Field32B;
import com.prowidesoftware.swift.model.mt.mt2xx.MT205;

import java.util.List;


public class MT205Validator extends AbsMTValidator {
    public MT205Validator(String mtStr, MtResult mtResult) {
        super(mtStr, mtResult);
    }

    @Override
    public void bussinessValidator() {
       // MtResult mtResult = getMtResult();
        MT205 mt205 = (MT205) this.getAbstractMT();

        if ((mt205.getField56A() != null || (mt205.getField56D() != null))) {
            if (mt205.getField57A() == null && mt205.getField57B() == null && mt205.getField57D() == null) {
//                mtResult.addDescription("【MT205】中56A或者56D存在，则57A或者57B或者57D也必须存在，请检查");
                mtResult.addDescription(Language.getLanguage("MT205_C1","【MT205】"));
            }
        }
      //  return mtResult;
    }
}
