package com.brilliance.isc.swift.objmtconvert.model.busvalidator.mt2xx;


import com.brilliance.isc.swift.objmtconvert.model.AbsMTValidator;
import com.brilliance.isc.swift.objmtconvert.result.MtResult;
import com.brilliance.isc.swift.objmtconvert.util.Constans;
import com.brilliance.isc.swift.objmtconvert.util.Language;
import com.prowidesoftware.swift.model.field.Field79;
import com.prowidesoftware.swift.model.mt.mt2xx.MT296;
import org.apache.commons.lang3.StringUtils;


public class MT296Validator extends AbsMTValidator {
    public MT296Validator(String mtStr, MtResult mtResult) {
        super(mtStr,mtResult);
    }
    @Override
    public void bussinessValidator() {
        // MtResult mtResult=getMtResult();
        MT296 mt296= (MT296) this.getAbstractMT();

        //C1:字段79或至少原始邮件的必填字段的副本，或两者都必须存在(错误代码:C25)。
        if(mt296.getField79()==null){
//            mtResult.addDescription("Field79不能为空,请检查");
            mtResult.addDescription(Language.getLanguage("MTn95_C1","【MT295】"));
        }
        //  return  mtResult;
    }
}
