package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag290;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT290Creator;

public class Tag20Creator extends AbsTagCreate {
    private MT290Creator mt290Creator;

    public Tag20Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt290Creator = (MT290Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag20Value = mt290Creator.getTransactionReferenceNumber();
        mt290Creator.set("20",tag20Value);
    }
}
