package com.brilliance.isc.swift.objmtconvert.model.mx.camt05200108;

import com.brilliance.isc.swift.objmtconvert.model.AbsMXCreator;
import com.brilliance.isc.swift.objmtconvert.model.mx.common.Account2;
import com.brilliance.isc.swift.objmtconvert.model.mx.common.Ntry;
import com.brilliance.isc.swift.objmtconvert.model.mx.common.StmtPgntn;
import com.brilliance.isc.swift.objmtconvert.model.mx.common.TtlCdtNtries;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Description
 * @Author s_guodong
 * @Date 2023/4/21
 */
@Data
public class MXCamt05200108Creator extends AbsMXCreator {
    public MXCamt05200108Creator(String identifier) {
        super(identifier);
    }

    /**
     * 账户唯一标识
     */
    private String id;

    /**
     * 账号信息
     */
    private Account2 acct;

    /**
     * 对账单号码
     */
    private BigDecimal lglSeqNb;

    /**
     * 报告分页信息
     */
    private StmtPgntn rptPgntn;

    /**
     * 对账单细目
     */
    private List<Ntry> ntry;

    /**
     * 贷方条目
     */
    private TtlCdtNtries ttlCdtNtries;

    /**
     * 借方条目
     */
    private TtlCdtNtries ttlDbtNtries;

}
