package com.brilliance.isc.swift.objmtconvert.model.mx.camt05300108;

import com.brilliance.isc.swift.objmtconvert.model.AbsMXCreator;
import com.brilliance.isc.swift.objmtconvert.model.mx.common.Account2;
import com.brilliance.isc.swift.objmtconvert.model.mx.common.Balance;
import com.brilliance.isc.swift.objmtconvert.model.mx.common.Ntry;
import com.brilliance.isc.swift.objmtconvert.model.mx.common.StmtPgntn;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Description
 * @Author s_guodong
 * @Date 2023/4/20
 */
@Data
public class MXCamt05300108Creator extends AbsMXCreator {

    public MXCamt05300108Creator(String identifier) {
        super(identifier);
    }

    /**
     * 账号信息
     */
    private Account2 acct;

    /**
     * 对账单号码
     */
    private BigDecimal lglSeqNb;

    /**
     * 账户分页信息
     */
    private StmtPgntn stmtPgntn;

    /**
     * 余额信息
     */
    private List<Balance> bal;

    /**
     * 对账单细目
     */
    private List<Ntry> ntry;

    /**
     * 附加信息
     */
    private String addtlStmtInf;
}
