package com.brilliance.isc.swift.objmtconvert.model.mx.common;

import lombok.Data;

/**
 * @Description 信贷额度详情
 * @Author s_guodong
 * @Date 2023/4/21
 */
@Data
public class CdtLine {
    /**
     * 信贷额度是否包含在余额中
     */
    private Boolean incl;

    /**
     * 信贷额度的类型
     */
    private CdOrPrtry Tp;

    /**
     * 金额
     */
    private Amt amt;

    /**
     * 提供信贷的日期
     */
    private Dt dt;
}
