package com.brilliance.isc.swift.objmtconvert.model.mx.common;

import lombok.Data;

import java.util.List;

/**
 * @author zh
 * @create 2023-04-20-9:36
 */
@Data
public class UndrlygCstmrCdtTrf {

    /**
     * 汇款方
     */
    private Party dbtr;

    /**
     * 汇款方账户
     */
    private Account dbtrAcct;

    /**
     * 汇款行
     */
    private Agent dbtrAgt;

    /**
     * 汇款行账户
     */
    private Account dbtrAgtAcct;

    /**
     * 之前的发报行1
     */
    private Agent prvsInstgAgt1;

    /**
     * 之前的发报行1账户
     */
    private Account prvsInstgAgt1Acct;

    /**
     * 之前的发报行2
     */
    private Agent prvsInstgAgt2;

    /**
     * 之前的发报行2账户
     */
    private Account prvsInstgAgt2Acct;

    /**
     * 之前的发报行3
     */
    private Agent prvsInstgAgt3;

    /**
     * 之前的发报行3账户
     */
    private Account prvsInstgAgt3Acct;

    /**
     * 中间行1
     */
    private Agent intrmyAgt1;

    /**
     * 中间行1账户
     */
    private Account intrmyAgt1Acct;

    /**
     * 中间行2
     */
    private Agent intrmyAgt2;

    /**
     * 中间行2账户
     */
    private Account intrmyAgt2Acct;

    /**
     * 中间行3
     */
    private Agent intrmyAgt3;

    /**
     * 中间行3账户
     */
    private Account intrmyAgt3Acct;

    /**
     * 收款行
     */
    private Agent cdtrAgt;

    /**
     * 收款行账户
     */
    private Account cdtrAgtAcct;

    /**
     * 收款人
     */
    private Party cdtr;

    /**
     * 收款人账户
     */
    private Account cdtrAcct;

    /**
     * 付款指示
     */
    private List<InstrForCdtrAgt> instrForCdtrAgt;

    /**
     * 下一个代理行指令
     */
    private List<InstrForNxtAgt> instrForNxtAgt;

    /**
     * 汇款信息
     */
    private RmtInf rmtInf;

    /**
     * 扣除手续费之前的原始结算金额
     */
    private Amt instdAmt;
}
