package com.brilliance.isc.swift.objmtconvert.model.mx.pain00200110;

import com.brilliance.isc.swift.objmtconvert.ext.XmlDate;
import com.brilliance.isc.swift.objmtconvert.model.AbsMXCreator;
import com.brilliance.isc.swift.objmtconvert.model.mx.common.Agent;
import com.brilliance.isc.swift.objmtconvert.model.mx.common.Party;
import com.brilliance.isc.swift.objmtconvert.model.mx.common.StsRsnInf;
import lombok.Data;

import java.util.List;

/**
 * @author : zxg
 * @data : Created in 2023/4/24
 * @description :
 */
@Data
public class MXPain00200110Creator extends AbsMXCreator {

    public MXPain00200110Creator(String identifier){
        super(identifier);
    }

    /**
     * 发起方
     */
    private Party initgPty;

    /**
     * 代理行
     */
    private Agent fwdgAgt;

    /**
     * 原始消息标识号
     */
    private String orgnlMsgId;

    /**
     * 原始消息名称
     */
    private String orgnlMsgNmId;

    /**
     * 原始消息创建时间
     */
    private String orgnlCreDtTm;

    /**
     * 原始支付唯一标识
     */
    private String orgnlPmtInfId;

    /**
     * 原始指示方唯一标识
     */
    private String orgnlInstrId;

    /**
     * 原始端到端标识号
     */
    private String orgnlEndToEndId;

    /**
     * 交易状态
     */
    private String txSts;

    /**
     * 状态原因详情
     */
    private List<StsRsnInf> stsRsnInf;

    public void setOrgnlCreDtTm(XmlDate orgnlCreDtTm) {
            this.orgnlCreDtTm = orgnlCreDtTm.getDateStr();
    }
}
