package com.brilliance.isc.convert.mt7xx;

import com.brilliance.isc.swift.objmtconvert.manager.MtCreatorManager;
import com.brilliance.isc.swift.objmtconvert.model.commontag.ActnoBicAdrTagXXX;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT711Creator;
import org.junit.Test;

/**
 * @author gaosheng
 * @date 2023/2/28
 */
public class Mt711Test {
    @Test
    public void mt711_Test(){

        MT711Creator mt711Creator = new MT711Creator("711");

        //27
        mt711Creator.setSequenceofTotal("3/7");//1!n/1!n
        //20
        mt711Creator.setSendersReference("606487");//16x
        //21
        mt711Creator.setDocumentaryCreditNumber("PREADV/130510");//16x
        //45A
        mt711Creator.setDescriptionofGoodsandorServices("WEARE COMMERCIAL INVOICE IN DUPLICATE\n" +
                " PACKINGL LIST IN DUPLICATE\n" +
                " FORWARDING AGENTS CERTIFICATE OF RECEIPT\n" +
                "SHOWING GOODS ADDRESSED TO THE APPLICANT");//100*65z
        //46A
        mt711Creator.setDocumentsRequired("YOUARE COMMERCIAL INVOICE IN DUPLICATE\n" +
                " PACKINGL LIST IN DUPLICATE\n" +
                " FORWARDING AGENTS CERTIFICATE OF RECEIPT\n" +
                "SHOWING GOODS ADDRESSED TO THE APPLICANT");//100*65z
        //47A
        mt711Creator.setAdditionalConditions("SIGNED COMMERCIAL INVOICE IN DUPLICATE\n" +
                " PACKINGL LIST IN DUPLICATE\n" +
                " FORWARDING AGENTS CERTIFICATE OF RECEIPT\n" +
                "SHOWING GOODS ADDRESSED TO THE APPLICANT");//100*65z
        //49G
        mt711Creator.setSpecialPaymentConditionsforBeneficiary("SIOGA COMMERCIAL INVOICE IN DUPLICATE\n" +
                " PACKINGL LIST IN DUPLICATE\n" +
                        " FORWARDING AGENTS CERTIFICATE OF RECEIPT\n" +
                        "SHOWING GOODS ADDRESSED TO THE APPLICANT");//100*65z
        //49H
        mt711Creator.setSpecialPaymentConditionsforBankOnly("NIGTSS COMMERCIAL INVOICE IN DUPLICATE\n" +
                " PACKINGL LIST IN DUPLICATE\n" +
                " FORWARDING AGENTS CERTIFICATE OF RECEIPT\n" +
                "SHOWING GOODS ADDRESSED TO THE APPLICANT");//100*65z


        MtCreatorManager.packMT(mt711Creator);

    }

}
