package com.brilliance.isc.common.validator.es.vo;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

/**
 * 环境描述类
 * @author fukai
 */
@Builder
@Setter
@Getter
public class EnvDespVo {

    /**
     * 终端  Java Or Vue
     */
    private String terminal;

    /**
     * 子类型 JS
     */
    private String subtype;

    /**
     * 脚本名称  交易码xxxopn、xxxame
     */
    private String scriptName;

    /**
     * 指定的加载器，规则库用
     */
    private String loader;
}
