package com.brilliance.isc.doc.constant;

public interface DocConstant {
    String CIPS = "CIPS";//人行跨境报文类型
    String HVPS = "HVPS";//大额报文类型
    String FXPS = "FXPS";//境内外币报文类型
    String CNAP = "CNAP";//二代支付报文类型
    String SWTE = "SWTE";//SWT电商汇出报文类型
    String CIPE = "CIPE";//CIPS电商汇出报文类型
    String FXPE = "FXPE";//境内外比电商汇出报文类型
    /**
     * Cortyp
     */
    String COR_TYP_SWT = "SWT";
    String COR_TYP_ERX = "ERX";
    String COR_TYP_TLX = "TLX";
    String COR_TYP_LET = "LET";
    String COR_TYP_FAX = "FAX";
    String COR_TYP_TCO = "TCO";
    String COR_TYP_EML = "EML";
    String COR_TYP_BOL = "BOL";
    String COR_TYP_DTA = "DTA";
    String COR_TYP_ELC = "ELC";
    String COR_TYP_FMT = "FMT";
    String COR_TYP_GNZ = "GNZ";
    String COR_TYP_ISO = "ISO";

    String EXECUTION_LETTER = "L";
    String EXECUTION_STRING = "S";


    String[] SWIFT_STRUCT_COR_TYPE = "SWT TLX FAX EML".split(" ");
    String[] TELEX_STRUCT_COR_TYPE = "SWT TLX FAX EML".split(" ");
    String[] LETTER_STRUCT_COR_TYPE = "LET SWT TLX TCO FAX EML".split(" ");
    String[] TRADE_CONNECT_STRUCT_COR_TYPE = "TCO".split(" ");
    String[] DOCX_STRUCT_COR_TYPE = "TCX".split(" ");
    String[] RTGS_STRUCT_COR_TYPE = "RTG TAR".split(" ");
    String[] INTERNAL_I_STRUCT_COR_TYPE = "INT".split(" ");
    String[] INTERNAL_B_STRUCT_COR_TYPE = "BOL".split(" ");
    String[] TSU_STRUCT_COR_TYPE = "TSU".split(" ");
    String[] INTERNAL_A_STRUCT_COR_TYPE = "DTA".split(" ");
    String[] INTERNAL_E_STRUCT_COR_TYPE = "DTE".split(" ");
    String[] DTA_GUARANTEES_STRUCT_COR_TYPE = "DTG".split(" ");
    String[] ASCII_TEXT_STRUCT_COR_TYPE = "TXT".split(" ");
    String[] DTAUS_IZV_STRUCT_COR_TYPE = "IZV".split(" ");
    String[] SEPA_STRUCT_COR_TYPE = "SPA".split(" ");
    String[] SWIFT_CORE_STRUCT_COR_TYPE = "SWT".split(" ");
    String[] FMT_STRUCT_COR_TYPE = "FMT".split(" ");
    String[] ERS_STRUCT_COR_TYPE = "ERX".split(" ");
    String[] ERC_STRUCT_COR_TYPE = "ERC".split(" ");
    String[] ELC_STRUCT_COR_TYPE = "ELC".split(" ");

    /**
     * 模板名称
     */

    String DOCNAM_GITAPL1 = "GITAPL1";
    String DOCNAM_GITAPL2 = "GITAPL2";
    String DOCNAM_GITAPL3 = "GITAPL3";
    String DOCNAM_GITAPL4 = "GITAPL4";

    String DOCNAM_GITBEN1 = "GITBEN1";
    String DOCNAM_GITBEN2 = "GITBEN2";
    String DOCNAM_GITBEN3 = "GITBEN3";
    String DOCNAM_GITBEN4 = "GITBEN4";
    String DOCNAM_GITBEN5 = "GITBEN5";
    String DOCNAM_SETSUM1 = "SETSUM1";
    String DOCNAM_SETSUM3 = "SETSUM3";
    String DOCNAM_GCT7521 = "GCT7521";
    String DOCNAM_GCTFRE1 = "GCTFRE1";
    String DOCNAM_GCTFRE2 = "GCTFRE2";
    String DOCNAM_GITFRE1 = "GITFRE1";
    String DOCNAM_GITFRE2 = "GITFRE2";

    String DOCNAM_BCTRMI1 = "BCTRMI1";
    String DOCNAM_ERSMSG2 = "ERSMSG2";
    String DOCNAM_BCTDRE1 = "BCTDRE1";
    String DOCNAM_BCTDRE3 = "BCTDRE3";
    String DOCNAM_BCTDRE4 = "BCTDRE4";
    String DOCNAM_BCTDRR1 = "BCTDRR1";
    String DOCNAM_BCTDRE2 = "BCTDRE2";

    String DOCNAM_BOTCOL2 = "BOTCOL2";
    String DOCNAM_BOTCOL1 = "BOTCOL1";
    String DOCNAM_BOTCOL4 = "BOTCOL4";
    String DOCNAM_ERSMSGF2 = "ERSMSGF2";
    String DOCNAM_BOTSET1 = "BOTSET1";
    String DOCNAM_BOTCOLL1 = "BOTCOL1";
    String DOCNAM_BOTDRRL1 = "BOTDRR1";

    String DOCNAM_CCTDAV1 = "CCTDAV1";
    String DOCNAM_CCTSET1 = "CCTSET1";

    String DOCNAM_GITISS1 = "GITISS1";

    // 进口信用证
    String DOCNAM_LITAPL1 = "LITAPL1";

    String DOCNAM_LITPEN1 = "LITPEN1";

    String DOCNAM_ENTSUBPEN1 = "ENTSUBPEN1";

    String DOCNAM_LITADV1 = "LITADV1";

    String DOCNAM_LITAPL3 = "LITAPL3";

    String DOCNAM_LITROG2 = "LITROG2";

    String DOCNAM_LITCAN1 = "LITCAN1";
    String DOCNAM_LITFRE1 = "LITFRE1";

    String DOCNAM_LITFRE2 = "LITFRE2";
    String DOCNAM_BRTFRE1 = "BRTFRE1";
    String DOCNAM_BRTFRE2 = "BRTFRE2";
    String DOCNAM_LETFRE1 = "LETFRE1";
    String DOCNAM_LETFRE2 = "LETFRE2";
    String DOCNAM_BETFRE1 = "BETFRE1";
    String DOCNAM_BETFRE2 = "BETFRE2";

    String DOCNAM_BRTAPL1 = "BRTAPL1";

    String DOCNAM_BRTAPL2 = "BRTAPL2";

    String DOCNAM_BRTPRB1 = "BRTPRB1";

    String DOCNAM_BRTBEN1 = "BRTBEN1";

    String DOCNAM_BRTBEN2 = "BRTBEN2";

    String DOCNAM_LITAPL4 = "LITAPL4";

    String DOCNAM_LITAPL5= "LITAPL5";


    String DOCNAM_LETA2B1 = "LETA2B1";
    String DOCNAM_LETBEN1 = "LETBEN1";
    String DOCNAM_LETISS1 = "LETISS1";
    String DOCNAM_LETBEN2 = "LETBEN2";

    String DOCNAM_BETAPL1 = "BETAPL1";
    String DOCNAM_BETAPL2 = "BETAPL2";
    String DOCNAM_BETAPL3 = "BETAPL3";
    String DOCNAM_BETPRB4 = "BETPRB4";
    String DOCNAM_BETISS2 = "BETISS2";

    // 转让证
    String DOCNAM_LTTBE21 = "LTTBE21";
    String DOCNAM_LTTADV1 = "LTTADV1";
    String DOCNAM_LTTBE11 = "LTTBE11";
    String DOCNAM_LTTPAY1 = "LTTPAY1";
    String DOCNAM_LTTBE12 = "LTTBE12";
    String DOCNAM_BTTISS1 = "BTTISS1";

    String DOCNAM_BTTBE11 = "BTTBE11";

    String DOCNAM_BTTBE21 = "BTTBE21";
    String DOCNAM_BTTPAY1 = "BTTPAY1";
    String DOCNAM_BTTPAY2 = "BTTPAY2";
    String DOCNAM_BTTPRB1 = "BTTPRB1";


    String TRANS = "trans";
    String DOCEOT = "doceot";

    String BASE_TEMPLATE_FOLDER = "templates";

    String PDF = "pdf";
    String TEXT = "text";
    String XML = "xml";
    String SF2 = "sf2";
    String ERX = "erx";
    String FMT = "fmt";
    String ELC = "elc";
    String TXT = "txt";
    String HTML = "html";
}
