<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <title>${item.mtdesp}原报</title>
    <style>
        body {
            font-family: "Courier New";
            font-size: 12px;
            line-height: 16px;
        }
        @page {
            @bottom-right{
                content: element(footer)
            }
            @bottom-left{
                content: 'printed by ${user} on ${date} at ${time}';
                font-size: 12px;
                font-family: "Courier New";
            }
        }
        #footer {
            position: running(footer);
            text-align: right;
        }
        #pagenumber:before {
            content: counter(page);
        }
        #pagecount:before {
            content: counter(pages);
        }
        .mtFontSize{
            font-size: 12px;
        }
        .mtFontSize0{
            font-size: 12px;
        }
        table p,table h3{
            margin-top:0
        }
        table tr{
            vertical-align:top;
        }

    </style>
</head>
<body>
    <div id="footer" >
        <span class="mtFontSize0" >page <span id="pagenumber"></span> of <span id="pagecount"></span> </span>
    </div>

    <b>
        ${formatContent(item.message)}
    </b>
</body>
</html>