package com.brilliance.isc.dsp.model;

import lombok.Data;

import java.util.List;

@Data
public class FrameField {
    private String left;
    private String top;
    private String width;
    private String height;
    private String visible;
    private String readonly;
    private String mandatory;
    private String checkvalue;
    private String viewType;
    private String enabled;
    private String value;
    private String isRedCode;
    private List<Table> tableList;
    private List<String> widths;
    private List<String> props;
    private List<String> tableValues;
    private Grid grid;
    private List<GridLists> gridLists;
    private List<GridValue> gridValues;
}
