package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag705;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT705Creator;

/**
 * @author wanggang
 * @date 2023-03-03
 */
public class Tag31DCreator extends AbsTagCreate {

     private MT705Creator mt705Creator;

    public Tag31DCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt705Creator= (MT705Creator) absMTCreator;
    }

    public void creator()
    {
        String tag31DValue = mt705Creator.getDateandPlaceofExpiry();
        mt705Creator.set("31D", tag31DValue);
    }
}

