package com.brilliance.isc.swift.objmtconvert.model.mx.camt05400108;

import com.brilliance.isc.swift.objmtconvert.model.AbsMXCreator;
import com.brilliance.isc.swift.objmtconvert.model.mx.common.Account2;
import com.brilliance.isc.swift.objmtconvert.model.mx.common.Ntry2;
import lombok.Data;

import java.util.List;

/**
 * @Description
 * @Author s_guodong
 * @Date 2023/4/23
 */
@Data
public class MXCamt05400108Creator extends AbsMXCreator {
    public MXCamt05400108Creator(String identifier) {
        super(identifier);
    }

    /**
     * 账户通知唯一标识
     */
    private String id;

    /**
     * 账号信息
     */
    private Account2 acct;

    /**
     * 对账单细目
     */
    private List<Ntry2> ntry;
}
