package com.brilliance.isc.swift.objmtconvert.model.mx.common;

import lombok.Data;

import java.util.List;

/**
 * @Description 余额信息
 * @Author s_guodong
 * @Date 2023/4/21
 */
@Data
public class Balance {
    /**
     * 账户余额的类型
     */
    private BalanceType tp;

    /**
     * 信贷额度详情
     */
    private List<CdtLine> cdtLine;

    /**
     * 账户金额
     */
    private Amt amt;

    /**
     * 借贷标识
     */
    private String cdtDbtInd;

    /**
     * 日期
     */
    private Dt dt;

    /**
     * 记录产生利息信息
     */
    private List<Avlbty> avlbty;
}
