package com.brilliance.isc.swift.objmtconvert.model.mx.common;

import lombok.Data;

/**
 * @Description 账户预期金额详情
 * @Author s_guodong
 * @Date 2023/4/24
 */
@Data
public class Itm {
    /**
     * 账户所有者的唯一标识
     */
    private String id;

    /**
     * 端到端标识号
     */
    private String endToEndId;

    /**
     * 金额明细
     */
    private Amt amt;

    /**
     * 支付交易的潜在原因
     */
    private Purp purp;
}
