package com.brilliance.isc.swift.objmtconvert.model.mx.common;

import lombok.Data;

import java.util.List;

/**
 * @Description 对账单细目
 * @Author s_guodong
 * @Date 2023/4/21
 */
@Data
public class Ntry {
    /**
     * 起息日
     */
    private Dt valDt;

    /**
     * 记账日
     */
    private Dt bookgDt;

    /**
     * 借贷标识
     */
    private String cdtDbtInd;

    /**
     * 反转标志
     */
    private Boolean rvslInd;

    /**
     * 金额信息
     */
    private Amt amt;

    /**
     * 条目细节
     */
    private List<NtryDtls> ntryDtls;

    /**
     * 账户唯一标识
     */
    private String acctSvcrRef;

    /**
     * 参考信息
     */
    private String ntryRef;

    /**
     * 状态
     */
    private Sts sts;

    /**
     * 银行交易代码信息
     */
    private BkTxCd bkTxCd;

    /**
     * 附加信息
     */
    private String addtlNtryInf;
}
