package com.brilliance.isc.swift.objmtconvert.model.mx.common;

import lombok.Data;

import java.util.List;

/**
 * @Description 对账单细目
 * @Author s_guodong
 * @Date 2023/4/23
 */
@Data
public class Ntry2 {

    /**
     * 参考信息
     */
    private String ntryRef;

    /**
     * 预定日期
     */
    private Dt bookgDt;

    /**
     * 金额明细
     */
    private Amt amt;

    /**
     * 起息日
     */
    private Dt valDt;

    /**
     * 银行交易代码信息
     */
    private BkTxCd bkTxCd;

    /**
     * 借贷标识
     */
    private String cdtDbtInd;

    /**
     * 账户条目状态
     */
    private Sts sts;

    /**
     * 条目细节
     */
    private List<NtryDtls> ntryDtls;

}
