package com.brilliance.isc.swift.objmtconvert.model.mx.common;

import lombok.Data;

import java.util.List;

/**
 * @author zh
 * @create 2023-04-19-15:18
 */
@Data
public class PstlAdr {

    /**
     * 地址类型
     */
    private AdrTp adrTp;

    /**
     * 国家
     */
    private String ctry;

    private String ctrySubDvsn;

    private String dstrctNm;

    /**
     * 城镇内的具体名称
     */
    private String twnLctnNm;

    /**
     * 住址城镇名称
     */
    private String twnNm;

    /**
     * 邮编地址标识
     */
    private String pstCd;

    /**
     * 街道名
     */
    private String strtNm;

    /**
     * 所在街道的住址的门牌号
     */
    private String bldgNb;

    /**
     * 所在街道的住址的名称
     */
    private String bldgNm;

    /**
     * 楼层
     */
    private String flr;

    /**
     * 邮编
     */
    private String pstBx;

    /**
     * 房间号
     */
    private String room;

    /**
     * 省
     */
    private String dept;

    /**
     * 类似 市
     */
    private String subDept;

    /**
     * 无结构性地址信息
     */
    private List<String> adrLine;
}
