package com.brilliance.isc.common.smh;

import com.brilliance.isc.bo.Smh;
import com.brilliance.isc.common.smh.service.SmhCommonService;
import com.brilliance.isc.common.smh.vo.SmhQueryVo;
import com.brilliance.isc.common.vo.SimpleModuleVo;
import com.brilliance.isc.vo.ResponseSet;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import javax.annotation.Resource;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import java.util.List;

@RestController
@RequestMapping("/smhQuery")
public class SmhCommonQuery {

    @Resource
    private SmhCommonService smhCommonService;

    @PostMapping("/listRcvSmhByObj")
    public ResponseSet<List<Smh>> queryRcvSmhByObjTypAndInr(SmhQueryVo smhQueryVo){
        return ResponseSet.simpleSuccess(smhCommonService.queryRcvSmhByObjTypAndInr(smhQueryVo));
    }


    @PostMapping("/listSndSmhByObj")
    public ResponseSet<List<Smh>> queryAllSmhByObjTypAndInr(SmhQueryVo smhQueryVo){
        return ResponseSet.simpleSuccess(smhCommonService.querySndSmhByObjTypAndInr(smhQueryVo));

    }
}
