package com.brilliance.isc.common.validator.es.rule.impl;

import com.brilliance.isc.common.validator.es.rule.IRangeRule;
import com.brilliance.isc.common.validator.es.utils.EsConstant;
import org.springframework.stereotype.Component;

/**
 * @author fukai
 * 类型校验规则
 */
@Component(EsConstant.VALIDATOR_TYPE_TYPE +"."+EsConstant.VALIDATOR_SUFFIX_NAME)
public class TypeRuleImpl extends AbstractRuleValidator implements IRangeRule {
    /**
     * 获取当前校验器的js实现函数
     *
     * @return
     */
    @Override
    public String getValidateFunction() {
        return String.format("execute%sRule",toUpperFirst(EsConstant.VALIDATOR_TYPE_TYPE));
    }
}
